Subject: Re: support git+mosh for unreliable connections

From: Dennis Kaarsemaker <[email-masked]>
Date: Wed, 15 Apr 2015 15:45:21 +0200

On wo, 2015-04-15 at 18:37 +0530, Pirate Praveen wrote:
> Hi,
> 
>  When working with big projects over a slow, unreliable connection,
> currently there is no way to resume a clone or pull when the connection
> breaks. mosh is a better replacement for ssh over unreliable
> connections. supporting git+mosh protocol will go a long way in
> supporting people who work with unreliable, mobile networks, especially
> in developed countries (I personally have to try many times when working
> with large projects as my 3g mobile connection keeps dropping. I
> recently discovered mosh and it works like a charm. More about mosh
> https://mosh.mit.edu/

mosh isn't a generic transport though, it's a udp-based session state
synchronization protocol. I don't think it can be used as a git
transport.

-- 
Dennis Kaarsemaker
www.kaarsemaker.net